Segments
Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.
Example of authenticated request
$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
If you choose to identify an object with its remote_id instead of its uid then
-
replace the
uidvalue with theremote_idvalue in the URL -
specify
lookup_field=remote_idin the query parameters
Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)
The id of the segment in your system.
The scheduled date and time of arrival at the origin (ISO 8601)
The scheduled date and time of arrival at the destination (ISO 8601)
Update successful
The index of the segment in the transport
0The datetime at which the carrier scheduled the start of this segment
The datetime at which the carrier scheduled the end of this segment
Automatically computed distance from telematic data (in kms).
Manually entered distance. If null, it takes the value of telematic_distance (in kms).
Mileage at transport origin site (in kms).
Mileage at transport destination site (in kms).
PATCH /api/v4/segments/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1318
{
"remote_id": "text",
"origin": {
"remote_id": "text",
"address": {
"pk": 23498,
"remote_id": "COMP_123_ADR_1"
},
"instructions": "text",
"reference": "text",
"eta": "text",
"supports_exchanges": {
"support_type": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"remote_id": "text"
},
"expected_retrieved": 10,
"actual_retrieved": 0,
"expected_delivered": 10,
"actual_delivered": 0,
"observations": "1 broken"
},
"arrival_date": "2026-01-01",
"arrival_time_min": "16:00",
"arrival_time_max": "17:00",
"date_exact": true,
"trucker_instructions": "text"
},
"destination": {
"remote_id": "text",
"address": {
"pk": 23498,
"remote_id": "COMP_123_ADR_1"
},
"instructions": "text",
"reference": "text",
"eta": "text",
"supports_exchanges": {
"support_type": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"remote_id": "text"
},
"expected_retrieved": 10,
"actual_retrieved": 0,
"expected_delivered": 10,
"actual_delivered": 0,
"observations": "1 broken"
},
"arrival_date": "2026-01-01",
"arrival_time_min": "16:00",
"arrival_time_max": "17:00",
"date_exact": true,
"trucker_instructions": "text"
},
"vehicle": {
"license_plate": "WE749RM"
},
"trailers": [
{
"license_plate": "WE749RM"
}
],
"trucker_id": {
"pk": 928,
"remote_id": "tr123"
},
"scheduled_start_range": {
"start": "2021-12-21T13:51:33.323237Z",
"end": "2021-12-21T14:30:33.323237Z"
},
"scheduled_end_range": {
"start": "2021-12-21T13:51:33.323237Z",
"end": "2021-12-21T14:30:33.323237Z"
}
}Update successful
{
"uid": "text",
"remote_id": "text",
"origin": {
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"remote_id": "text",
"address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"real_start": "2020-12-22T15:31:39.26167Z",
"real_end": "2020-12-22T15:31:39.26167Z",
"signature_process": "sign_on_glass",
"instructions": "text",
"reference": "text",
"eta": "text",
"eta_tracking": false,
"punctuality_status": "untracked",
"supports_exchanges": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"site": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"remote_id": "text"
},
"support_type": {
"name": "Palettes",
"created": "2020-12-22T15:31:39.26167Z",
"uid": "c8e4cc62-446a-11eb-a759-0242ac130005",
"remote_id": "text"
},
"expected_retrieved": 10,
"actual_retrieved": 10,
"expected_delivered": 10,
"actual_delivered": 10,
"observations": "1 broken",
"remote_id": "text"
},
"category": "loading",
"slots": [
{
"start": "2026-01-01T00:00:00.000Z",
"end": "2026-01-01T00:00:00.000Z"
}
],
"trucker_instructions": "text",
"trip": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"is_prepared": true,
"status": "unstarted"
}
},
"destination": {
"uid": "687cddac-dbd2-11ea-9024-0242ac130006",
"remote_id": "text",
"address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"instructions": "text",
"remote_id": "text",
"original": 2085,
"company": {
"pk": 928,
"remote_id": "text",
"created": "2020-07-30T21:10:06.445510Z",
"updated": "2020-07-30T21:10:06.44551Z",
"deleted": true,
"invoicing_remote_id": "COMP_456",
"name": "Transport Bouvet",
"phone_number": "0601020304",
"email": "i.love.dashdoc@gmail.com",
"siren": "123456789",
"trade_number": "text",
"country": "FR",
"comments": "text",
"vat_number": "text",
"is_verified": true,
"settings_transport_order_observations": "text",
"settings_constrain_reference_edition": true,
"account_type": "text",
"logo": "text",
"subscription_access": {},
"settings": {},
"primary_address": {
"pk": 23498,
"name": "Transport Bouvet",
"address": "3 rue des champs",
"city": "Nantes",
"postcode": "44000",
"country": "FR",
"latitude": -52.5561625,
"longitude": 92.896504,
"radius": 500,
"coords_validated": false,
"is_demo": true,
"is_carrier": true,
"is_shipper": true,
"is_origin": true,
"is_destination": true,
"created_by": {
"pk": 25,
"name": "Transport Bouvet"
},
"created_by_user": {
"pk": 34,
"display_name": "Jean Pierre Bouvet",
"company": 25,
"trucker_id": 95
},
"created": "2020-12-22T15:31:39.26167Z",
"remote_id": "text"
},
"managers": [
{
"pk": 928,
"user": {
"email": "adele.bouvet@gmail.com",
"first_name": "Adèle",
"last_name": "Bouvet"
},
"display_name": "text",
"role": "text"
}
],
"has_loggable_managers": true
}
},
"real_start": "2020-12-22T15:31:39.26167Z",
"real_end": "2020-12-22T15:31:39.26167Z",
"signature_process": "sign_on_glass",
"instructions": "text",
"reference": "text",
"eta": "text",
"eta_tracking": false,
"punctuality_status": "untracked",
"supports_exchanges": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"site": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"remote_id": "text"
},
"support_type": {
"name": "Palettes",
"created": "2020-12-22T15:31:39.26167Z",
"uid": "c8e4cc62-446a-11eb-a759-0242ac130005",
"remote_id": "text"
},
"expected_retrieved": 10,
"actual_retrieved": 10,
"expected_delivered": 10,
"actual_delivered": 10,
"observations": "1 broken",
"remote_id": "text"
},
"category": "loading",
"slots": [
{
"start": "2026-01-01T00:00:00.000Z",
"end": "2026-01-01T00:00:00.000Z"
}
],
"trucker_instructions": "text",
"trip": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"is_prepared": true,
"status": "unstarted"
}
},
"trucker": {
"pk": 23498,
"remote_id": "text",
"display_name": "Adèle Bouvet",
"user": {
"pk": 17293,
"first_name": "Adèle",
"last_name": "Bouvet",
"username": "1b3b4c74-5f07-4f09-b18f-2753ffcf916e",
"email": "adele.bouvet@gmail.com",
"display_name": "Adèle Bouvet",
"date_joined": "2026-01-01T00:00:00.000Z",
"is_staff": true,
"is_superuser": true,
"has_usable_password": true
}
},
"vehicle": {
"pk": 928,
"carrier": 928,
"category": "tipper_cereal",
"license_plate": "WE749RM",
"fleet_number": "TRUCK120",
"remote_id": "tr123type1",
"created": "2020-07-30T21:10:06.44551Z",
"used_for_qualimat_transports": true,
"telematic_vehicle": 1,
"original": 40,
"tags": [
{
"pk": 1,
"name": "Urgent",
"color": "#E5291D",
"tag_group_id": 1
}
],
"technical_control_deadline": "2020-12-22T15:31:39.26167Z",
"tachograph_deadline": "2020-12-22T15:31:39.26167Z",
"speed_limiter_deadline": "2020-12-22T15:31:39.26167Z",
"country": "FR",
"unavailability": [
{
"id": 928,
"remote_id": "tr123type1",
"created": "2020-07-30T21:10:06.44551Z",
"start_date": "2020-07-30T21:10:06.44551Z",
"end_date": "2020-07-30T21:10:06.44551Z",
"unavailability_type": "paid_vacation",
"unavailability_note": "I'm on vacation"
}
],
"events": [
{}
]
},
"trailers": [
{
"pk": 928,
"original": 1,
"carrier": 928,
"license_plate": "WE749RM",
"fleet_number": "TRAILER120",
"remote_id": "tr123type1",
"created": "2020-07-30T21:10:06.44551Z",
"used_for_qualimat_transports": true,
"tags": [
{
"pk": 1,
"name": "Urgent",
"color": "#E5291D",
"tag_group_id": 1
}
],
"technical_control_deadline": "2020-12-22T15:31:39.26167Z",
"country": "FR",
"unavailability": [
{
"id": 928,
"remote_id": "tr123type1",
"created": "2020-07-30T21:10:06.44551Z",
"start_date": "2020-07-30T21:10:06.44551Z",
"end_date": "2020-07-30T21:10:06.44551Z",
"unavailability_type": "paid_vacation",
"unavailability_note": "I'm on vacation"
}
],
"events": [
{}
]
}
],
"sort_order": 0,
"scheduled_start_range": {
"start": "2021-12-21T13:51:33.323237Z",
"end": "2021-12-21T14:30:33.323237Z"
},
"scheduled_end_range": {
"start": "2021-12-21T13:51:33.323237Z",
"end": "2021-12-21T14:30:33.323237Z"
},
"child_transport": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"sequential_id": 1,
"remote_id": "text",
"has_strong_link": true
},
"telematic_distance": 1,
"distance": 1,
"origin_mileage": 1,
"destination_mileage": 1
}Last updated
Was this helpful?